#!/usr/bin/env python3

import freeswitch
import sys
import general_definitions as global_defs
import db_helpers as dbh
import helpers as h

# simple playback
def playAnnouncement(session, sound_set_id: str, file: str, answer: bool):
	file_path = str(global_defs.audio_cache_directory + '/' + sound_set_id + '/' + file + global_defs.default_audio_extension)

	# use the async timer for RTP traffic
	session.execute('set', 'rtp_timer_name=soft')

	if (answer):
		session.answer()

	session.execute("log", "playAnnouncement file: '" + file_path + "'")
	session.execute('playback', file_path)

# fetch and play file
# session must be answered already
def playSingleFile(session, sound_set_id: str, file: str):
	if (dbh.DBfetchAudioFile(session, sound_set_id, file)):
		fp_file = h.formatAudioPath(sound_set_id, file, None)
		session.execute('playback', fp_file)
		return True
	else:
		session.execute("log", "cannot play file: '" + file + "', probably missing.")
		return False
