#!/usr/bin/env python3

import db_helpers as dbh
import general_definitions as global_defs

# check if generally required conference sounds are loaded
def loadConferenceFiles(session, sound_set_id: str):
	# greeting
	dbh.DBfetchAudioFile(session, sound_set_id, global_defs.sound_conference_greeting)
	# first joined
	dbh.DBfetchAudioFile(session, sound_set_id, global_defs.sound_conference_first)
	# join
	dbh.DBfetchAudioFile(session, sound_set_id, global_defs.sound_conference_join)
	# joined
	dbh.DBfetchAudioFile(session, sound_set_id, global_defs.sound_conference_joined)
	# leave
	dbh.DBfetchAudioFile(session, sound_set_id, global_defs.sound_conference_leave)
	# max participants
	dbh.DBfetchAudioFile(session, sound_set_id, global_defs.sound_conference_max_participants)
	# pin
	dbh.DBfetchAudioFile(session, sound_set_id, global_defs.sound_conference_pin)
	# pin wrong
	dbh.DBfetchAudioFile(session, sound_set_id, global_defs.sound_conference_pin_wrong)
	# waiting music
	dbh.DBfetchAudioFile(session, sound_set_id, global_defs.sound_conference_waiting_music)
	# goodbye sound
	dbh.DBfetchAudioFile(session, sound_set_id, global_defs.sound_conference_goodbye)

def putInConference(session, room: str, roompin: str, sound_set_id: str):

	session.execute('log', "Call to conference room: '" + room + "'")

	sound_path = str(global_defs.audio_cache_directory + '/' + sound_set_id)
	loadConferenceFiles(session, sound_set_id)

	# use the async timer for RTP traffic
	session.execute('set', 'rtp_timer_name=soft')

	# play greeting
	session.answer()
	# TODO: check if file has been loaded, before to play
	greeting_sound = str(sound_path + '/' + global_defs.sound_conference_greeting + global_defs.default_audio_extension)
	session.execute('playback', greeting_sound)

	# set proper core sound path
	session.execute('set', 'sound_prefix={}'.format(sound_path))

	# processing
	conference_destination = str(room + '@simple' + '+' + roompin) if roompin else str(room + '@simple')
	session.execute('conference', conference_destination)

	# TODO: add further processing here
