#!/usr/bin/env python3

import yaml

config = '/etc/freeswitch/dialplan/logic/general_definitions.yml'
with open(config, 'r') as file:
    data_loaded = yaml.safe_load(file)

audio_cache_directory = data_loaded['audio']['cache_directory']
default_audio_extension = data_loaded['audio']['default_extension']
media_bypass = data_loaded['audio']['media_bypass']

# SIP related
sip_proxy_port = data_loaded['sip']['proxy']['port']
sip_proxy_host = data_loaded['sip']['proxy']['host']

# sound names
sound_conference_first = data_loaded['sounds']['conference']['first']
sound_conference_greeting = data_loaded['sounds']['conference']['greeting']
sound_conference_join = data_loaded['sounds']['conference']['join']
sound_conference_joined = data_loaded['sounds']['conference']['joined']
sound_conference_leave = data_loaded['sounds']['conference']['leave']
sound_conference_max_participants = data_loaded['sounds']['conference']['max_participants']
sound_conference_pin = data_loaded['sounds']['conference']['pin']
sound_conference_pin_wrong = data_loaded['sounds']['conference']['pin_wrong']
sound_conference_waiting_music = data_loaded['sounds']['conference']['waiting_music']
sound_conference_goodbye = data_loaded['sounds']['conference']['goodbye']
sound_aa_welcome = data_loaded['sounds']['aa']['welcome']
sound_aa_default = data_loaded['sounds']['aa']['default']
sound_aa_timeout = data_loaded['sounds']['aa']['timeout']
sound_aa_invalid_extension = data_loaded['sounds']['aa']['invalid_extension']
sound_aa_enter_extension = data_loaded['sounds']['aa']['enter_extension']

# auto-attendant defaults
aa_pause = data_loaded['aa']['pause']
aa_max_retries = data_loaded['aa']['max_retries']
aa_max_destinations = data_loaded['aa']['max_destinations']         # one last additional is a 'star'
aa_delay_between_cycles = data_loaded['aa']['delay_between_cycles'] # delay in seconds between each playback round
aa_dial_ext_time = data_loaded['aa']['dial_ext_time']               # time to give to caller, in order to enter extension
additional_aa_headers = data_loaded['aa']['additional_headers']

# hunt-groups defaults
hg_timeout = data_loaded['hg']['timeout']         # general timeout for the whole call
hg_leg_timeout = data_loaded['hg']['leg_timeout'] # timeout per destination leg
hg_max_members = data_loaded['hg']['max_members'] # max amount of members, which can be involved into hunting

# call queues defaults
cq_max_queue_length = data_loaded['cq']['max_queue_length']     # max number of callers
cq_queue_wrap_up_time = data_loaded['cq']['queue_wrap_up_time'] # idle interval before connecting first caller to the queue

# call through / calling card defaults
ct_enter_destination_number = data_loaded['ct']['enter_destination_number']
ct_digit_collection_timeout = data_loaded['ct']['digit_collection_timeout']
ct_error_please_try_later = data_loaded['ct']['error_please_try_later']
ct_min_digits = data_loaded['ct']['min_digits']                             # min amount of digits can be entered
ct_max_digits = data_loaded['ct']['max_digits']                             # max amount of digits can be entered
ct_destination_max_retries = data_loaded['ct']['destination_max_retries']   # maximum number of retries to enter the destination number
ct_connect_max_retries = data_loaded['ct']['connect_max_retries']           # maximum number of retries to connect to the destination
cc_enter_callingcard_number = data_loaded['cc']['enter_callingcard_number']
cc_you_have_in_your_account = data_loaded['cc']['you_have_in_your_account']
cc_calling_card_not_found = data_loaded['cc']['calling_card_not_found']
cc_default_currency = data_loaded['cc']['default_currency']
cc_pin_min_length = data_loaded['cc']['pin_min_length']
cc_pin_max_length = data_loaded['cc']['pin_max_length']
cc_pin_max_retries = data_loaded['cc']['pin_max_retries']
cc_cents_per_unit = data_loaded['cc']['cents_per_unit']
cc_debug = data_loaded['cc']['with_debug']
cc_digits_right = data_loaded['cc']['digits_right']
