#!/usr/bin/env python3

# libraries
import freeswitch
import sys

# other local implementations
import announcement as an
import callqueues as cq
import conference as cnf
import auto_attendant as aa
import hunt_groups as hg

# helpers
import helpers as h
import db_helpers as dbh

# data types
from data_types import appParam
from data_types import sessionParam
from data_types import reMatchApp

def get_application(session, destination_app, app_params: appParam,
		session_params: sessionParam, sdp_body: str, callid: str):

	match reMatchApp(destination_app):

		case 'announcement':
			if (dbh.DBfetchAudioFile(session, app_params.sound_set_id, app_params.audio_name)):
				an.playAnnouncement(session, app_params.sound_set_id, app_params.audio_name, True)
			session.hangup()

		case '^conf=':
			cnf.putInConference(session, app_params.room,
									app_params.roompin,
									app_params.sound_set_id)
			session.hangup()

		# default - no application found
		case _:
			session.execute('log', "No handler found to process call to: '" + str(destination_app) + "', callid: '" + callid + "'")
			# TODO: play using announcement playback that there is no application found
			# an.playAnnouncement(session, app_params.sound_set_id, "some_sound_name", True)
			session.hangup()
